//Titel:	       Dialog-Fenster mit Action-Listener
//Version:	    1.0
//Copyright:	 (c) 2011, 25.10.2011 
//Autor:	       by M. Wilhelm
//Organisation: HS-Harz
//Beschreibung: Zeigt den Action-Listener mit externer Klasse


import java.awt.*;
import javax.swing.*;
import java.awt.event.*;


public class Action1 extends JFrame {

  JButton BnOk = new JButton("Ok");

  public Action1() {
    setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
    setGUI();

  }

  private void setGUI() {
    setSize(400, 430);
    setTitle("JFrame als Dialog");

    BnOk.setFont( new Font("Arial", Font.BOLD,18)  );

    this.getContentPane().add( BnOk, BorderLayout.SOUTH );

     // Erstellen der Instanz
    myActionListener myAction = new myActionListener(); 
     // Einfuegen in die interne Liste
    BnOk.addActionListener(myAction); 

  } // setGUI


  public static void main(String[] args) {
    Action1 frame = new Action1();
    frame.setVisible(true);
 }



}  // Action1


// externe Klasse mit Actionlistener
  class myActionListener implements java.awt.event.ActionListener {
     // diese Methode wird beim Click aufgerufen
     public void actionPerformed(ActionEvent e) {
         System.out.println("Hier in Ok");
        
     }
   }
